Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.tftp
Class TFTPPacketException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.net.tftp.TFTPPacketException

All Implemented Interfaces:
  Serializable

    public class TFTPPacketException

extends Exception

A class used to signify the occurrence of an error in the creation of a TFTP packet. It is not declared final so that it may be subclassed to identify more specific errors. You would only want to do this if you were building your own TFTP client or server on top of the `TFTP` class if you wanted more functionality than the `receiveFile()` and `sendFile()` methods provide.

Author:
  Daniel F. Savarese
See Also:
  `TFTPPacket`, `TFTP`, Serialized Form

Constructor Summary
`TFTPPacketException()` Simply calls the corresponding constructor of its superclass.
`TFTPPacketException(String message)` Simply calls the corresponding constructor of its superclass.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TFTPPacketException

    public TFTPPacketException()

  Simply calls the corresponding constructor of its superclass.

### TFTPPacketException

    public TFTPPacketException(String message)

  Simply calls the corresponding constructor of its superclass.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.